# authElkArte - an authentication plugin for DokuWiki

Provides authentication against a ElkArte MySQL database.

Copyright(c) 2016 ElkArte Forum contributors


## License

BSD http://opensource.org/licenses/BSD-3-Clause


## Installation and Configuration

This plugin requires access to a ElkArte's MySQL database. See Configuration and settings section below for further information. 

If you install this plugin manually, make sure it is installed in your DocuWiki `lib/plugins/authelkarte/` directory.  If the folder is named differently, it will not work!


## Configuration and Settings
   
- Login to Dokuwiki as administrator
- Go to your Extension manager, select manual install, upload this extension (or manually to this)
- Go to your site's Configuration Manager
- In the Authentication section
  - Set Authentication backend to authelkarte
  - Users that are ElkArte administrators will be DokuWiki super users
-Scroll down to the Authelkarte Plugin section
   - Enter the required configuration information
     - Hostname
     - Port number
     - database name
     - username
     - password
     - table prefix
- Save settings
- Logout and logback in with your Elkarte Userid and password
   

## Compatibility

This plugin has been tested with DokuWiki release *2015-08-10a ”Detritus”*, but should also work with *2013-05-10 “Weatherwax”* and later.
